This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1274081 - Crash opening Word document in SwFrm::_FindPrev
Crash opening Word document in SwFrm::_FindPrev
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Stahl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 16:56 EDT by Elliott Sales de Andrade
Modified: 2016-07-19 14:18 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:18:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace of crash (27.48 KB, text/plain)
2015-10-21 16:56 EDT, Elliott Sales de Andrade
no flags Details
Backtrace of crash (43.30 KB, text/plain)
2015-10-23 05:01 EDT, Elliott Sales de Andrade
no flags Details

  None (edit)
Description Elliott Sales de Andrade 2015-10-21 16:56:29 EDT
Created attachment 1085328 [details]
Backtrace of crash

Description of problem:
Opening this one Word document consistently crashes libreoffice.

Version-Release number of selected component (if applicable):
libreoffice-writer-4.4.5.2-8.fc22.x86_64


How reproducible:
Always

Steps to Reproduce:
1. Open document from terminal/nautilus.

Actual results:
libreoffice crashes.

Expected results:
Document is opened.

Additional info:
Unfortunately, I am unable to share said document because it is a student-submitted work, but I have attached the backtrace produced by `libreoffice --backtrace file.docx`. I can inspect it in gdb if necessary.
Comment 1 David Tardon 2015-10-22 03:07:33 EDT
You need to install libreoffice-debuginfo to get a reasonable backtrace...

Could you send the document to mstahl@redhat.com? It'll be handled as private.
Comment 2 Elliott Sales de Andrade 2015-10-23 05:01 EDT
Created attachment 1085749 [details]
Backtrace of crash

Sorry, thought I had installed everything with the debuginfo line from gdb.
Comment 3 Caolan McNamara 2015-10-23 09:18:21 EDT
backtrace doesn't immediately ring a bell with me, but we did do a lot of fixes upstream to layout crashes. I imagine this is from a docx and it might be something like a table in a footnote causing this problem. Can you attach the document which triggers this ?
Comment 4 Elliott Sales de Andrade 2015-10-24 02:16:25 EDT
I have sent the document to the email above. I don't think there were any tables in footnotes, but there were comments on text in tables.
Comment 5 Michael Stahl 2015-10-26 18:02:58 EDT
the good news is that LO 5.0 does not crash since this commit:
    
    commit 4d2d58bdb32dd94a23ea721e2334a8b1cf459b08
    Author:     Caolán McNamara <caolanm@redhat.com>
    AuthorDate: Sat May 9 16:51:13 2015 +0100
    
        bodge layout to not crash on load of File_1292.docx


the bad news is that LO 5.0 has an infinite loop in the layout,
while formatting a table, since the above commit...
Comment 6 Fedora End Of Life 2016-07-19 14:18:07 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.